Status: Open

Priority: High

Assignee:

Category: Map Legend

Affected QGIS version:3.4.1 Regression?: Yes
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 26929
Description

The data-defined size symbols feature has a set of unhandled issues i reported months ago (see list) but i think this one is a really broken
feature that can lead to wrong information on maps.

Apply a scaled size to a point layer

At the bottom of the properties, choose to enable the data defined Size Legend

In the new dialog, choose "separated legend items", do the other settings and apply.

Most of the times, the symbols won't scale in the preview frame nor in the layers panel but the size displayed in the layers panel, hence in
the layout legend, is really wrong. Really bigger than what's displayed in the map canvas.

If you switch to the "collapsed size symbols", you'll notice the difference of size and that sizes are coherent now.

History

#1 - 2018-09-15 05:43 PM - Jiirgen Fischer
- Description updated

#2 - 2018-10-12 06:48 PM - Alexandre Neto

| have also noticed this problem. From some testing, seems that the symbols size in the legend is using the actual values on the data, and not the scaled
values provided by the expression, for example.

coalesce(scale_exp("capacity”, 0, 2717, 1, 10, 0.57), 0).

#3 - 2018-10-15 09:59 PM - Giovanni Manghi
- Affected QGIS version changed from 3.1(master) to 3.3(master)

#4 - 2018-10-15 11:13 PM - Alexandre Neto

@gioman, can we consider this a regression. | mean, this used to work just fine before this several options to represent the legend were implemented.

#5 - 2018-10-15 11:14 PM - Giovanni Manghi

- Priority changed from Normal to High

- Regression? changed from No to Yes

#6 - 2018-10-21 09:55 AM - Martina Savarese
- File Multivariate analisys.pdf added
Think some of the other issues Harrissou linked are related to this problem. Attached file is a scheme of some test | have made, hope it can be some

usefull

#7 - 2018-11-07 06:17 PM - Florent Monkerhey

| confirm that this problem is still present on QGis 4.3.1

#8 - 2018-11-07 06:17 PM - Giovanni Manghi
- Affected QGIS version changed from 3.3(master) to 3.4.1
